Package org.jfree.report.modules.gui.swing.common.localization

# Class ActionLocaleUpdateHandler

java.lang.Object
org.jfree.report.modules.gui.swing.common.localization.ActionLocaleUpdateHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

public class ActionLocaleUpdateHandler extends Object implements PropertyChangeListener
Creation-Date: 30.11.2006, 13:04:07

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ActionLocaleUpdateHandler(LocalizedAction target)`

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent evt)`
This method gets called when a bound property is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionLocaleUpdateHandler

public ActionLocaleUpdateHandler(LocalizedAction target)

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent evt)
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.